/*************************************************************************/
/* Nom : fichier menupal.h                                               */
/*                                                                       */
/* Role : Declaration des variables utilisees dans menupal.c             */
/*                                                                       */
/* ===================================================================== */
/* Nom | Date       | Description                                        */
/* ----+------------+--------------------------------------------------- */
/* PDB | 22/03/1997 | Creation du fichier                                */
/*     |            |                                                    */
/* PDB | 30/06/1997 | Modification des libelles de commentMenu           */
/*     |            |                                                    */
/*************************************************************************/

/* structure des zones de menus */

struct strZoneMenu
{
	int x1 ;
	int y1 ;
	int x2 ;
	int y2 ;
} ;


/* zone des differents menus */

struct strZoneMenu zoneMenu[NOMBRE_CHOIX] = {

		{  96, 115, 190, 150 },   /* choix Initiation  */
		{  96, 180, 190, 215 },  /* choix Jouer       */
		{  96, 245, 190, 275 },  /* choix Visualiser  */
		{  96, 315, 190, 345 },  /* choix A propos... */
		{ 435, 115, 530, 150 },  /* choix Regles      */
		{ 435, 180, 530, 215 },  /* choix Ouverture   */
		{ 435, 245, 530, 275 },  /* choix Scores      */
		{ 435, 315, 530, 345 }}; /* choix Quitter     */


/* coordonnees des zones des libelles des menus */

struct strZoneMenu zoneLibelleMenu[NOMBRE_CHOIX] = {

		{ 105, 123, 184, 142 },
		{ 117, 187, 170, 207 },
		{ 102, 251, 185, 271 },
		{ 101, 323, 185, 345 },
		{ 449, 123, 509, 148 },
		{ 432, 184, 534, 204 },
		{ 449, 247, 511, 268 },
		{ 446, 322, 515, 345 }};


/* coordonnees des menus en surbrillance du fichier menu.gif */

//	struct strZoneMenu zoneLibelleMenuTmp[NOMBRE_CHOIX] = {

//			262, 131, 341, 150,
//			262, 155, 315, 175,
//			263, 179, 346, 199,
//			266, 203, 349, 225,
//			262, 226, 322, 251,
//			261, 250, 363, 270,
//			262, 275, 324, 296,
//			262, 299, 331, 322 };


/* Message a afficher dans la barre de commentaire en fonction */
/* de l'endroit ou se trouve le curseur de la souris */

char commentMenu [NOMBRE_CHOIX+1][MAX_BUFFER] = {

		"Apprentissage du jeu pour les novices",
		"Permet de jouer  deux, contre OTHO, ou OTHO contre OTHO",
		"Revoir une partie enregistre",
		"A propos des concepteurs d'OTHO...",
		"Explication du jeu et de la stratgie  suivre",
		"Accs  la bibliothque des ouvertures",
		"Classement des meilleurs joueurs",
		"Quitter OTHO (dj !)",
		"                                                            " };


/* Definition du curseur de la souris du menu general */

MouseCursor curseurSourisMenu = {
	{1},{1},
	{209,209,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
	 209, 52,209,209,209,255,255,255,255,255,255,255,255,255,255,255,
	 209, 52, 52, 53, 53,209,209,255,255,255,255,255,255,255,255,255,
	 209, 52, 52, 53, 53, 53, 54,209,209,209,255,255,255,255,255,255,
	 209, 52, 53, 53, 53, 53, 54, 54, 54, 55,209,209,255,255,255,255,
	 209, 52, 53, 53, 53, 54, 54, 54, 55, 55, 55, 56,209,209,255,255,
	 209, 52, 53, 53, 53, 54, 54, 54, 55, 55, 56, 56, 56, 57,209,255,
	 209, 52, 53, 53, 53, 54, 54, 54, 55, 55, 56, 56,209,209,209,255,
	 209, 52, 53, 53, 53, 54, 54, 54, 55, 55, 56,209,255,255,255,255,
	 209, 52, 53, 53, 54, 54, 54, 55, 55, 55,209,255,255,255,255,255,
	 209, 52, 53, 53, 54, 54, 54, 55, 55,209,255,255,255,255,255,255,
	 209, 53, 53, 53, 54, 54, 54, 55, 55,209,255,255,255,255,255,255,
	 209, 53, 53, 53, 54,209, 54, 55, 55, 56,209,255,255,255,255,255,
	 209, 53, 53,209,209,255,209, 55, 55, 56, 56,209,255,255,255,255,
	 209, 52,209,255,255,255,255,209, 55, 56, 56, 56,209,255,255,255,
	 209,209,255,255,255,255,255,209, 55, 56, 56, 56, 57,209,255,255,
	 255,255,255,255,255,255,255,255,209, 56, 56, 57, 57, 57,209,255,
	 255,255,255,255,255,255,255,255,209, 56, 56, 57, 57, 57,209,255,
	 255,255,255,255,255,255,255,255,255,209, 56, 57, 57, 57, 57,209,
	 255,255,255,255,255,255,255,255,255,209, 56, 57, 57, 57, 57,209,
	 255,255,255,255,255,255,255,255,255,255,209, 57, 57,209,209,255,
	 255,255,255,255,255,255,255,255,255,255,209, 57,209,255,255,255,
	 255,255,255,255,255,255,255,255,255,255,255,209,255,255,255,255,
	 255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255}
};
