.AUTODEPEND

#		*Translator Definitions*
CC = tcc +OTHO.CFG
TASM = TASM
TLIB = tlib
TLINK = tlink
LIBPATH = C:\TC\LIB
INCLUDEPATH = C:\TC\INCLUDE


#		*Implicit Rules*
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

#		*List Macros*


EXE_dependencies =  \
 temps.obj \
 capture.obj \
 ouvert.obj \
 visual.obj \
 initiat.obj \
 apropos.obj \
 ordinat.obj \
 dialogue.obj \
 keyboard.obj \
 variable.obj \
 fichier.obj \
 souris.obj \
 ecran1.obj \
 materiel.obj \
 memoire.obj \
 lib\svgacc.lib \
 regles.obj \
 statist.obj \
 algorith.obj \
 services.obj \
 video.obj \
 scores.obj \
 2joueur.obj \
 jouer.obj \
 menupal.obj \
 otho.obj

#		*Explicit Rules*
otho.exe: otho.cfg $(EXE_dependencies)
  $(TLINK) /v/x/c/L$(LIBPATH) @&&|
c0l.obj+
temps.obj+
capture.obj+
ouvert.obj+
visual.obj+
initiat.obj+
apropos.obj+
ordinat.obj+
dialogue.obj+
keyboard.obj+
variable.obj+
fichier.obj+
souris.obj+
ecran1.obj+
materiel.obj+
memoire.obj+
regles.obj+
statist.obj+
algorith.obj+
services.obj+
video.obj+
scores.obj+
2joueur.obj+
jouer.obj+
menupal.obj+
otho.obj
otho
		# no map file
lib\svgacc.lib+
emu.lib+
mathl.lib+
cl.lib
|


#		*Individual File Dependencies*
temps.obj: otho.cfg src\temps.c 
	$(CC) -c src\temps.c

capture.obj: otho.cfg src\capture.c 
	$(CC) -c src\capture.c

ouvert.obj: otho.cfg src\ouvert.c 
	$(CC) -c src\ouvert.c

visual.obj: otho.cfg src\visual.c 
	$(CC) -c src\visual.c

initiat.obj: otho.cfg src\initiat.c 
	$(CC) -c src\initiat.c

apropos.obj: otho.cfg src\apropos.c 
	$(CC) -c src\apropos.c

ordinat.obj: otho.cfg src\ordinat.c 
	$(CC) -c src\ordinat.c

dialogue.obj: otho.cfg src\dialogue.c 
	$(CC) -c src\dialogue.c

keyboard.obj: otho.cfg src\keyboard.c 
	$(CC) -c src\keyboard.c

variable.obj: otho.cfg src\variable.c 
	$(CC) -c src\variable.c

fichier.obj: otho.cfg src\fichier.c 
	$(CC) -c src\fichier.c

souris.obj: otho.cfg src\souris.c 
	$(CC) -c src\souris.c

ecran1.obj: otho.cfg src\ecran1.c 
	$(CC) -c src\ecran1.c

materiel.obj: otho.cfg src\materiel.c 
	$(CC) -c src\materiel.c

memoire.obj: otho.cfg src\memoire.c 
	$(CC) -c src\memoire.c

regles.obj: otho.cfg src\regles.c 
	$(CC) -c src\regles.c

statist.obj: otho.cfg src\statist.c 
	$(CC) -c src\statist.c

algorith.obj: otho.cfg src\algorith.c 
	$(CC) -c src\algorith.c

services.obj: otho.cfg src\services.c 
	$(CC) -c src\services.c

video.obj: otho.cfg src\video.c 
	$(CC) -c src\video.c

scores.obj: otho.cfg src\scores.c 
	$(CC) -c src\scores.c

2joueur.obj: otho.cfg src\2joueur.c 
	$(CC) -c src\2joueur.c

jouer.obj: otho.cfg src\jouer.c 
	$(CC) -c src\jouer.c

menupal.obj: otho.cfg src\menupal.c 
	$(CC) -c src\menupal.c

otho.obj: otho.cfg src\otho.c 
	$(CC) -c src\otho.c

#		*Compiler Configuration File*
otho.cfg: otho.mak
  copy &&|
-ml
-2
-v
-G
-h
-vi-
-w-ret
-w-nci
-w-inl
-wpin
-wamb
-wamp
-w-par
-wasm
-wcln
-w-cpt
-wdef
-w-dup
-w-pia
-wsig
-wnod
-w-ill
-w-sus
-wstv
-wucp
-wuse
-w-ext
-w-ias
-w-ibc
-w-pre
-w-nst
-I$(INCLUDEPATH)
-L$(LIBPATH)
-P-.C
-Ff
| otho.cfg


