/*************************************************************************/
/* Nom : fichier tst_ecr.c                                               */
/*                                                                       */
/* Role : Verifie si l'ecriture est possible sur le disque ou est place  */
/*        le jeu                                                         */
/*                                                                       */
/* Entree : -                                                            */
/* Sortie : -                                                            */
/*                                                                       */
/* ===================================================================== */
/* Nom | Date       | Description                                        */
/* ----+------------+--------------------------------------------------- */
/* PDB | 10/08/1997 | Creation du fichier.                               */
/*     |            |                                                    */
/*     |            |                                                    */
/*************************************************************************/


#include <bios.h>
#include <dir.h>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>

void test_ecriture( void )
{
	char chaine [_MAX_PATH];  /* chemin courant */
	char drive  [_MAX_DRIVE]; /* lecteur courant */
	char dir    [_MAX_DIR];   /* repertoire courant */
	char file   [_MAX_FNAME];
	char ext    [_MAX_EXT];

	char lettre, lecteur;              /* lettre du lecteur courant */
	int result;
	char buffer[512];


	/* Recupere le chemin courant */
	getcwd(chaine,_MAX_PATH);

	/* decomposition du chemin en differents elements */
	_splitpath(chaine,drive,dir,file,ext);

	lettre = drive[0];

	printf("%c\n", lettre);

	switch(lettre)
	{
		case 'A':
			lecteur = 0;
			break;
		case 'B':
			lecteur = 1;
			break;
		default:
			lecteur = 0x80 + (lettre - 'C');
			break;

	}

	printf("%x\n", lecteur);

	result = biosdisk(4,0,lecteur,0,0,1,buffer);

	printf("%i\n", result);

//	result &= 0x02;

  //	if (result)
    //		printf("Acces autorise en ecriture\n");

}

